List Files - Flex Documentation

List Files

cURL

curl --request GET \
  --url https://api.withflex.com/v1/files \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.withflex.com/v1/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/files', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/files",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api.withflex.com/v1/files"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest

HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/files")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/files")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Status Codes

Example Response

{
  "files": [
    {
      "file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "purpose": "account_requirement",
      "size": 0,
      "created_at": "2026-06-15T14:30:00Z",
      "expires_at": "2026-06-15T14:30:00Z"
    }
  ]
}

Error Response

{
  "code": "string",
  "detail": "string"
}

Query Parameters

Parameter Type Description
purpose enum What the uploaded file will be used for. Available options: account_requirement, additional_verification, business_icon, etc.
limit integer Required range: 1 <= x <= 100
starting_after string Example: "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
ending_before string Example: "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA"